oneAPI Registration, Download, Licensing and Installation
Support for Getting Started questions related to download, Installation and licensing for Intel oneAPI Toolkits and software development tools.

Intel Key Expired?

BalaSurya_2512
Beginner
997 Views

While trying to install intel-mkl for running Kaldi, I encountered an error stating the primary key was inactive. I used this command 

sudo rpm --import https://yum.repos.intel.com/intel-gpg-keys/GPG-PUB-KEY-INTEL-SW-PRODUCTS-2019.PUB

Has the key not been updated? Plus, if I try reaching out to the yum.repos.intel.com or apt.repos.intel.com sites, it redirects to the main Intel webpage. Why does that happen? 

0 Kudos
6 Replies
ArpanB_Intel
Moderator
978 Views

Hi Bala, please share the below information with us:


- Linux distribution on which you are installing the software

- Other versions of Intel® Parallel Studio XE or Intel® oneAPI already installed on your system


We await your response.


0 Kudos
BalaSurya_2512
Beginner
968 Views

- Red Hat distribution (Fedora)

- The laptop's really old. It is working on Intel Parallel Studio 2013

0 Kudos
ArpanB_Intel
Moderator
934 Views

Bala, thank you for the information. Are you using a Fedora 38 system?


Please confirm the same so that we can proceed further with our support.


0 Kudos
BalaSurya_2512
Beginner
923 Views

Yes sir.

0 Kudos
ArpanB_Intel
Moderator
907 Views

Bala, we do not support usage of non-native package managers like yum on Ubuntu or apt on RHEL, only the native ones. We have checked native package managers on all the supported platforms and they are fine:

 

  • ubuntu:22.04 - apt - OK
  • ubuntu:20.04 - apt - OK
  • debian:9 - apt - OK
  • debian:10 - apt - OK
  • debian:11 - apt - OK
  • redhat/ubi8 - dnf - OK
  • redhat/ubi9 - dnf - OK
  • rockylinux:8 - dnf - OK
  • rockylinux:9 - dnf - OK
  • fedora:36 - dnf - OK
  • fedora:37 - dnf - OK
  • amazonlinux:2 - yum - OK
  • amazonlinux:2022 - dnf - OK
  • registry.suse.com/suse/sle15:15.3 - zypper - OK
  • registry.suse.com/suse/sle15:15.4 - zypper - OK

 


The only known system where this issue appears is Fedora 38 which is not yet supported by oneAPI. It's tracked separately and will be resolved by the time a new Intel® oneAPI Toolkit version supporting it is released. Thus, this is not a defect for Intel® oneAPI Toolkit 2023.1. We hope to address this in the upcoming update.


0 Kudos
ArpanB_Intel
Moderator
873 Views

Bala, unfortunately we were unable to hear back from you.



If you have any further queries, please post a new question as this thread will no longer be monitored by Intel®.


0 Kudos
Reply